PHP is among the most widely used general-purpose programming languages. It’s extremely popular as it’s free software, which you can use to create responsive websites such as community websites, Internet shops or e-teaching sites rather than static HTML websites. A PHP module should be activated on the web server where a PHP site is hosted so that its source code can be ‘deciphered’. Because there are no license charges for this sort of module and the language provides innumerable options for the applications that you create, there’re hundreds of millions of PHP-powered websites. Besides, there’re an immense number of PHP-based scripts, which you can use for your sites without needing to have any programming capabilities. Given the fact that there are a handful of versions of PHP, you should verify whether the same version that you used while setting up your website is activated on the web server as well.

PHP 4 and PHP 5 Support in Hosting

With our hosting plans, you will be able to pick which version of PHP will be enabled for your shared account, as different versions are activated on our servers. With only one click of the mouse, you will be able to switch between PHP 5.5, 5.4, 5.3, 5.2 and 4 and every time a new version is introduced in the future, we’ll add it to the Hepsia Control Panel without removing the earlier ones. Thus, you’ll be able to host all the websites that you’ve set up throughout the years. In stark contrast with a lot of other companies, we won’t compel you to update such sites, because a script may be outdated, but this doesn’t necessarily mean that it’s vulnerable as you may have modified its code to plug safety gaps. For the sake of your convenience, you will even be able to choose a different PHP version for each site hosted in your shared web hosting account.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

Our semi-dedicated plans support multiple versions of PHP, so you will be able to run all the web-based apps that you have built through the years. The Hepsia Control Panel, which comes bundled with each and every semi-dedicated server account, will allow you to activate the needed version with one single click. You can choose between PHP 5.5, 5.4, 5.3, 5.2 and 4. In case you’d like to host multiple websites in one and the same account and they have diverse requirements about the hosting environment, you will be able to set a different PHP version for each of them regardless of which version is enabled for the account itself. This is possible owing to our in-house created cloud platform, which permits us to run multiple versions of PHP all at once. By comparison, the vast majority of web hosting vendors normally support one, in extremely rare cases – two versions.